package org.richfaces.realworld.service;

import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Remove;

import org.jboss.seam.annotations.Destroy;
import org.richfaces.realworld.domain.User;

@Local
public interface IUserAction {
	public boolean login(String username, String password);
	@Remove
	public void remove();
	
	@Destroy
	public void destroy();
	
	public void register(User user);
	public boolean isUserExist(String login);
	public void updateUser(User user);
	
	public void resetUser(User user);
}